function [err,msg]=EraseTasks(tasksNames,..//Имена задач
                              projectName,..//Имя проекта
                              errPrintMsg..//Необходимость печати сообщений об ошибках
                              )
    //Проверяем аргументы
    [nRez,nArg] = argn();//Число аргументов
    select nArg
    case 0 then
        error('The function EraseTasks takes 1, 2 or 3 arguments');
    case 1 then
        projectName = "";//Имя проекта по умолчанию отсутcтвует
        errPrintMsg = %t;//По умолчанию печатаем сообщение об ошибках
    case 2 then
        if type(projectName) == 4 then
            errPrintMsg = projectName;//Необходимость печати сообщений об ошибках
            projectName = "";//Имя проекта по умолчанию отсутcтвует
        else
            errPrintMsg = %t;//По умолчанию печатаем сообщение об ошибках
        end
    end
    
    //Удаляем файлы
    if nRez > 1 then
        [err,msg]=EraseTasksGen(tasksNames,..//Имена задач
                                projectName,..//Имя проекта
                                "",..//Тип удаления
                                errPrintMsg..//Необходимость печати сообщений об ошибках
                                );
    else
        err=EraseTasksGen(tasksNames,..//Имена задач
                          projectName,..//Имя проекта
                          "",..//Тип удаления
                          errPrintMsg..//Необходимость печати сообщений об ошибках
                          );
    end
endfunction
